/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/12/27 14:54
 * Description:
 */
package com.emr.controller;

import com.emr.entity.Emr_Fault_Detail;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Controller
@RequestMapping("pdfCtr")
public class pdfController {

    @RequestMapping(value = "/pdfDir")
    public String pdfDir(HttpServletRequest req, Emr_Fault_Detail emrFaultDetail) {
        String archiveDetailId= emrFaultDetail.getArchiveDetailId();
        //req.setAttribute("aa", "cccc");
        req.setAttribute("archiveDetailId", archiveDetailId);
        //req.setAttribute("roleVal","1"+ emrFaultDetail.getBackFlag());
        //req.setAttribute("pdfPath","1"+ emrFaultDetail.getContent());
        return "pdfDir/pdfDir";
    }

    @RequestMapping(value = "/pdfLastDir")
    public String pdfLastDir(HttpServletRequest req, Emr_Fault_Detail emrFaultDetail) {
        String archiveDetailId = emrFaultDetail.getArchiveDetailId();
        //req.setAttribute("aa", "cccc");
        req.setAttribute("archiveDetailId", archiveDetailId);
        req.setAttribute("type", req.getAttribute("type"));
        //req.setAttribute("roleVal","1"+ emrFaultDetail.getBackFlag());
        //req.setAttribute("pdfPath","1"+ emrFaultDetail.getContent());
        return "pdfDir/pdfLastDir";
    }


    @RequestMapping(value = "/pdfDeptDir")
    public String pdfDeptDir(Model model) {
        return "pdfDir/pdfDeptDir";
    }
}
 

